Skip to main content
Settings/AD/LDAP/OAuth Operations

UpdateLdapServer

UpdateLdapServer

PUT/zstack/v1/ldap/servers/{ldapServerUuid}

Operation ID

UpdateLdapServer

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • ldapServerUuid
    StringRequired

    The LDAP server UUID.

Body Fields

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • url
    String

    Optional. The URL of the LDAP server.

  • base
    String

    Optional. The base DN of the LDAP server.

  • username
    String

    Optional. The username used to access the LDAP server.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    LdapServerInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • url
      StringRequired

      The URL.

    • base
      StringRequired

      The base DN of the LDAP server.

    • username
      StringRequired

      The username used to access the LDAP server.

    • password
      StringRequired

      The password.

    • encryption
      StringRequired

      The encryption method.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.